# Invoke-RASTenant.md

## NAME

Invoke-RASTenant

## SYNOPSIS

The cmdlet invokes a command on an object of type Tenant. Available commands: SendInvitation, GenerateHash

## SYNTAX

**Invoke-RASTenant** \[[Id](#id-string)] *(uint)* -[Command](#Command) {GenerateHash | SendInvitation} \[[EmailBody](#emailbody-string) *(string)*] \[[EmailRecipients](#emailrecipients-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Invoke-RASTenant** \[[Name](#name-string)] *(string)* -[Command](#Command) {GenerateHash | SendInvitation} \[[EmailBody](#emailbody-string) *(string)*] \[[EmailRecipients](#emailrecipients-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet invoke a command on an object of type Tenant. Available commands: SendInvitation, GenerateHash

## PARAMETERS

## Name (string)

Tenant name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Tenant ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Command ([TenantCommand](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/tenantcommand.md))

Tenant command.

Possible values: GenerateHash, SendInvitation

```
        Required?                    true

        Position?                    named

        Default value                GenerateHash

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EmailRecipients (string)

Email recipients in a semicolon separated list, exclusive to the SendViaEmail command.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EmailBody (string)

The contents of the email, exclusive to the SendViaEmail command. Required variable: %INVITATIONHASH% Possible variables: %TENANTBROKER%

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASTenant -Id 1 -Command SendInvitation -Email <username@email.com>

Sends the specified tenant's hash key within an tenant invitation email to the specified email address.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASTenant -Id 1 -Command GenerateHash

Updates the specified tenant with a new tenant hash key.

## RELATED LINKS

* [New-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rastenant.md)
* [Get-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastenant.md)
* [Set-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastenant.md)
* [Remove-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastenant.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rastenant.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
